SuperLU 6.0.0

Macros | Functions
icmax1.c File Reference

Finds the index of the element whose real part has maximum absolute value. More...

`#include <math.h>`
`#include "slu_scomplex.h"`
`#include "slu_Cnames.h"`
Include dependency graph for icmax1.c:

## Macros
#define | CX(I) cx[(I)-1]

## Functions
int | icmax1_slu (int *n, complex *cx, int *incx)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

        -- LAPACK auxiliary routine (version 2.0) --
        Univ. of Tennessee, Univ. of California Berkeley, NAG Ltd.,
        Courant Institute, Argonne National Lab, and Rice University
        October 31, 1992

## Macro Definition Documentation

## ◆ CX

#define CX | ( |  | I | ) | cx[(I)-1]

## Function Documentation

## ◆ icmax1_slu()

int icmax1_slu | ( | int * | n,
|  | complex * | cx,
|  | int * | incx
| ) |  |

       Purpose
       =======

       ICMAX1 finds the index of the element whose real part has maximum
       absolute value.

       Based on ICAMAX from Level 1 BLAS.
       The change is to use the 'genuine' absolute value.

       Contributed by Nick Higham for use with CLACON.

       Arguments
       =========

       N       (input) INT
               The number of elements in the vector CX.

       CX      (input) COMPLEX array, dimension (N)
               The vector whose elements will be summed.

       INCX    (input) INT
               The spacing between successive values of CX.  INCX >= 1.

      =====================================================================